: STARTUP SCRIPT FOR PORTABLE OPENJUMP
:
: Create a folder for instance OJ_PORTABLE
: Create a Folder called JRE in OJ_PORTABLE folder
: Copy your Java machine fron the computer to JRE folder
: Copy THE OPENJUMP folder  in PORTABLE folder
: Copy this script in the OPENJUMP/BIN folder
: Use this script to run OpenJUMP (instead of the original OPenJUMP.bat script)
:
: CUSTOMIZE LANGUAGE
: 
:  Check the line: start javaw ...
:  Between %JAVA_OPTS%  and com.vividsolutions add one of these following lines depending the language 
: -Duser.language=zh_CN for Simplified Chinese 
: -Duser.language=En for English 
: -Duser.language=Fi for Finnish 
: -Duser.language=Fr for French 
: -Duser.language=De for German 
: -Duser.language=IT for Italian 
: -Duser.language=pt_BR for Portuguese (ver. Brasilian) 
: -Duser.language=Es for Spanish 


@echo off
set OLD_DIR=%CD%
set JUMP_HOME=%~dp0..%
set JAVA_OPTS=-Xms256M -Xmx1024M "-Djump.home=%JUMP_HOME%" "-Dlog4j.configuration=file:%JUMP_HOME%\bin\log4j.xml"
cd %JUMP_HOME%
set LIB=lib
set CLASSPATH=.;bin
set CLASSPATH=conf;%CLASSPATH%
set CLASSPATH=lib\ext;%CLASSPATH%
for %%i in ("lib\*.jar") do call "%JUMP_HOME%\bin\lcp.bat" %%i
for %%i in ("lib\*.zip") do call "%JUMP_HOME%\bin\lcp.bat" %%i
set PATH=%PATH%;%LIB%\ext
set JUMP_OPTS=-default-plugins bin\default-plugins.xml -properties bin\workbench-properties.xml -plug-in-directory "%LIB%\ext"
start ..\jre_win\bin\javaw -cp "%CLASSPATH%" %JAVA_OPTS%  -Duser.language=IT com.vividsolutions.jump.workbench.JUMPWorkbench %JUMP_OPTS%
cd %OLD_DIR%



